%define module	Ima-DBI
%define name	perl-%{module}
%define version 0.34
%define release %mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Database connection caching and organization
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/T/TM/TMTM/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildrequires:	perl-DBIx-ContextualFetch
Buildrequires:	perl-Class-Data-Inheritable
Buildrequires:  perl-DBI
Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Ima::DBI attempts to organize and facilitate caching and more efficient use of
database connections and statement handles by storing DBI and SQL information
with your class (instead of as separate objects). This allows you to pass
around just one object without worrying about a trail of DBI handles behind it.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Ima
%{_mandir}/*/*



%changelog
* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-5mdv2008.0
+ Revision: 86474
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-4mdv2007.0
- Rebuild

* Wed Dec 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.34-3mdk
- Add BuildRequires

* Wed Dec 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-2mdk
- fix buildrequires

* Mon Dec 05 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdk
- first mdk release

